pdfimages(1)

NAME
pdfimages - Portable Document Format (PDF) image extractor (version 4.05)

SYNOPSIS
pdfimages [options] PDF-file image-root

DESCRIPTION
Pdfimages saves images from a Portable Document Format (PDF) file as Portable Pixmap (PPM), Portable Graymap (PGM), Portable Bitmap (PBM), or JPEG files.

Pdfimages reads the PDF file, scans one or more pages, PDF-file, and writes one PPM, PGM, PBM, or JPEG file for each image, image-root-nnnn.xxx, where nnnn is the image number and xxx is the image type (.ppm, .pgm, .pbm, .jpg).

NB: pdfimages extracts the raw image data from the PDF file, without performing any additional transforms. Any rotation, clipping, color inversion, etc. done by the PDF content stream is ignored.

CONFIGURATION FILE
Pdfimages reads a configuration file at startup. It first tries to find the user's private config file, ~/.xpdfrc. If that doesn't exist, it looks for a system-wide config file, typically /etc/xpdfrc (but this location can be changed when pdfimages is built). See the xpdfrc(5) man page for details.

OPTIONS
Many of the following options can be set with configuration file commands. These are listed in square brackets with the description of the corresponding command line option.

-f number
    Specifies the first page to scan.

-l number
    Specifies the last page to scan.

-j  Normally, all images are written as PBM (for monochrome images), PGM (for grayscale images), or PPM (for color images) files. With this option, images in DCT format are saved as JPEG files. All non-DCT images are saved in PBM/PGM/PPM format as usual. (Inline images are always saved in PBM/PGM/PPM format.)

-raw
    Write all images in PDF-native formats. Most of the formats are not standard image formats, so this option is primarily useful as input to a tool that generates PDF files. (Inline images are always saved in PBM/PGM/PPM format.)

-list
    Write a one-line summary to stdout for each image. The summary provides the image file name, the page number, the image width and height, the horizontal and vertical resolution (DPI) as drawn, the color space type, and the number of bits per component (BPC).

-opw password
    Specify the owner password for the PDF file. Providing this will bypass all security restrictions.

-upw password
    Specify the user password for the PDF file.

-verbose
    Print a status message (to stdout) before processing each page. [config file: printStatusInfo]

-q  Don't print any messages or errors. [config file: errQuiet]

-cfg config-file
    Read config-file in place of ~/.xpdfrc or the system-wide config file.

-v  Print copyright and version information.

-h  Print usage information. (-help and --help are equivalent.)

EXIT CODES
The Xpdf tools use the following exit codes:

0   No error.

1   Error opening a PDF file.

2   Error opening an output file.

3   Error related to PDF permissions.

98  Out of memory.

99  Other error.

AUTHOR
The pdfimages software and documentation are copyright 1998-2024 Glyph & Cog, LLC.

SEE ALSO
xpdf(1), pdftops(1), pdftotext(1), pdftohtml(1), pdfinfo(1), pdffonts(1), pdfdetach(1), pdftoppm(1), pdftopng(1), xpdfrc(5)
http://www.xpdfreader.com/